-- Star Wars Empire at War: Secrets of a Fallen Empire
-- Lua Script: //Scripts/GameObject/ObjectScript_Constructor_Satellite.lua
-- Author: Galyana
-- Updated: 6 February, 2026

require("PGStateMachine")
require("PGBase")

function Definitions()
	DebugMessage("%s -- In Definitions", tostring(Script))
	Define_State("State_Init", State_Init);
	ServiceRate = 0.5
end

function State_Init(message)	
	if message == OnUpdate then
		if Object.Get_Build_Pad_Contents() ~= nil then
			Object.Stop()
			Object.Suspend_Locomotor(true)
			Object.Set_Selectable(false)
			Object.Prevent_All_Fire(true)
			Object.Prevent_Opportunity_Fire(true)
			ScriptExit()
		end
	end	
end